* [gentoo-commits] repo/proj/prefix:master commit in: dev-lang/lua/files/, dev-lang/lua/
@ 2016-01-04 20:16 Fabian Groffen
0 siblings, 0 replies; 2+ messages in thread
From: Fabian Groffen @ 2016-01-04 20:16 UTC (permalink / raw
To: gentoo-commits
commit: f39c63c49dda6e5ce7b74ae36af82a192130f437
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 4 20:04:26 2016 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon Jan 4 20:04:26 2016 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=f39c63c4
dev-lang/lua: align versions more with gx86
Package-Manager: portage-2.2.20-prefix
dev-lang/lua/Manifest | 3 +-
dev-lang/lua/files/lua-5.2-make-r1.patch | 75 +++++++++++
dev-lang/lua/lua-5.1.4-r4.ebuild | 139 ---------------------
dev-lang/lua/lua-5.1.4-r8.ebuild | 46 +++----
dev-lang/lua/lua-5.2.0-r1.ebuild | 128 -------------------
.../lua/{lua-5.2.1.ebuild => lua-5.2.3-r1.ebuild} | 98 +++++++++------
6 files changed, 154 insertions(+), 335 deletions(-)
diff --git a/dev-lang/lua/Manifest b/dev-lang/lua/Manifest
index 3a96f90..a1c8527 100644
--- a/dev-lang/lua/Manifest
+++ b/dev-lang/lua/Manifest
@@ -1,3 +1,2 @@
DIST lua-5.1.4.tar.gz 216679 SHA256 b038e225eaf2a5b57c9bcc35cd13aa8c6c8288ef493d52970c9545074098af3a SHA512 bc542fe8535826ac1e49b03a8f238cf049724b02c14718f8162cfeaf735a5e6c58412ff18dbe7a38e4cc4433f3d1e702554e9b24b5f021634b4280880980f40f WHIRLPOOL 2d8fdf77e31314eed68d8ace368a62a608a58114bea5c8797a2e2d327ca870dd4450ede494733d49c97bb447c97adf08610027df3206999a35fb49cde77448fd
-DIST lua-5.2.0.tar.gz 246377 SHA256 cabe379465aa8e388988073d59b69e76ba0025429d2c1da80821a252cdf6be0d SHA512 48c4a35323309c983a785a320b9a5058401c8b6cc0a4296ace66ab13ecb435d5274fdbaa28498f232619bda3bdee6eae9d264421406a83e55a418e2a6e95388a WHIRLPOOL d14eeaa0322b611a65d698faf94e00611e3c4942363e2db068891838f6f7abab9b2ca509b6e3791b0f734ee69e41e07ac63a372d0bee60c9e8ffcc5a0f693909
-DIST lua-5.2.1.tar.gz 249882 SHA256 64304da87976133196f9e4c15250b70f444467b6ed80d7cfd7b3b982b5177be5 SHA512 d0548d2cc2aa4fb4b5ae19d0ff675027370e3ee22d6e1ba448651c6f1f6f5e6b6214c81b760a23954f1e270936248bc021b9594a75191de4c1921e73d1ae48fb WHIRLPOOL 2a8d3d3c6ae37307bd667ab0619f7992f12ad4fb6c2709c2b4ee797b33d6eebee2d0298b7cb1b1a62d6140d3f9563ed7479c508da55234148981e57fe159e842
+DIST lua-5.2.3.tar.gz 251195 SHA256 13c2fb97961381f7d06d5b5cea55b743c163800896fd5c5e2356201d3619002d SHA512 264bb7c8db2f190ef0ca38584ec81999ab588f54e03119c5214c40bb8925b0eb407fac483a03e40cc8a220f6748ddff7d3a7392da3803418276b0d263b866449 WHIRLPOOL d278a1e38416bcf7f82eb3e7fd5fb423e60ccb69e9d57a937070516ff8be2d19a98bbfdaf37ec6fd6fb3ef2d625900977ca0cb47e46cb0ede5ebd5d37a9454ef
diff --git a/dev-lang/lua/files/lua-5.2-make-r1.patch b/dev-lang/lua/files/lua-5.2-make-r1.patch
new file mode 100644
index 0000000..a0624af
--- /dev/null
+++ b/dev-lang/lua/files/lua-5.2-make-r1.patch
@@ -0,0 +1,75 @@
+--- lua-5.1.1.orig/Makefile 2006-06-02 12:53:38.000000000 +0200
++++ lua-5.1.1/Makefile 2006-11-16 02:16:53.000000000 +0100
+@@ -11,7 +11,7 @@
+ # so take care if INSTALL_TOP is not an absolute path.
+ INSTALL_TOP= /usr/local
+ INSTALL_BIN= $(INSTALL_TOP)/bin
+-INSTALL_INC= $(INSTALL_TOP)/include
++INSTALL_INC= $(INSTALL_TOP)/include/lua$V
+ INSTALL_LIB= $(INSTALL_TOP)/lib
+ INSTALL_MAN= $(INSTALL_TOP)/man/man1
+ #
+@@ -127,3 +127,18 @@
+ .PHONY: all $(PLATS) clean install local none dummy echo pecho lecho newer
+
+ # (end of Makefile)
++
++# Use libtool for binary installs, etc.
++
++export V
++export LIBTOOL = $(EROOT)usr/bin/libtool --quiet --tag=CC
++# See libtool manual about how to set this
++
++gentoo_clean:
++ cd src; $(MAKE) $@
++
++gentoo_install:
++ mkdir -p $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB)
++ cd src; $(LIBTOOL) --mode=install $(INSTALL_EXEC) lua$V luac$V $(INSTALL_BIN)
++ cd src; $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
++ cd src; $(LIBTOOL) --mode=install $(INSTALL_DATA) liblua$V.la $(INSTALL_LIB)
+--- lua-5.1.1.orig/src/Makefile 2006-03-22 01:41:49.000000000 +0100
++++ lua-5.1.1/src/Makefile 2006-11-16 02:10:27.000000000 +0100
+@@ -39,1 +39,1 @@
+-LUA_T= lua
++LUA_T= lua$V
+@@ -42,1 +42,1 @@
+-LUAC_T= luac
++LUAC_T= luac$V
+@@ -54,1 +54,1 @@
+-$(LUA_T): $(LUA_O) $(LUA_A)
++origin$(LUA_T): $(LUA_O) $(LUA_A)
+@@ -57,1 +57,1 @@
+-$(LUAC_T): $(LUAC_O) $(LUA_A)
++origin$(LUAC_T): $(LUAC_O) $(LUA_A)
+@@ -185,3 +185,30 @@
+ lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
+ lzio.h
+
++
++export LIBTOOL = $(EROOT)usr/bin/libtool --quiet --tag=CC
++export LIB_VERSION = 6:1:1
++
++# The following rules use libtool for compiling and linking in order to
++# provide shared library support.
++
++LIB_NAME = liblua$V.la
++LIB_OBJS = $(CORE_O:.o=.lo) $(LIB_O:.o=.lo)
++
++%.lo %.o: %.c
++ $(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
++
++$(LIB_NAME): $(LIB_OBJS)
++ $(LIBTOOL) --mode=link $(CC) -version-info $(LIB_VERSION) \
++ -rpath $(RPATH) $(LDFLAGS) -o $(LIB_NAME) $(LIB_OBJS) $(LIB_LIBS)
++
++$(LUA_T): $(LUA_O:.o=.lo) $(LIB_NAME)
++ $(LIBTOOL) --mode=link $(CC) -export-dynamic $(LDFLAGS) -o $@ $(LUA_O:.o=.lo) $(LIB_NAME) $(LUA_LIBS)
++
++$(LUAC_T): $(LUAC_O:.o=.lo) $(LIB_NAME)
++ $(LIBTOOL) --mode=link $(CC) -static $(LDFLAGS) -o $@ $(LUAC_O:.o=.lo) $(LIB_NAME)
++
++gentoo_clean:
++ $(LIBTOOL) --mode=clean $(RM) $(ALL_O:.o=.lo) $(LIB_NAME) lua$V luac$V
++
++gentoo_all: $(LIB_NAME) $(LUA_T) $(LUAC_T)
diff --git a/dev-lang/lua/lua-5.1.4-r4.ebuild b/dev-lang/lua/lua-5.1.4-r4.ebuild
deleted file mode 100644
index 54fc21f..0000000
--- a/dev-lang/lua/lua-5.1.4-r4.ebuild
+++ /dev/null
@@ -1,139 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/lua/lua-5.1.4-r4.ebuild,v 1.12 2012/09/05 09:28:49 jlec Exp $
-
-EAPI=1
-
-inherit eutils multilib portability toolchain-funcs versionator
-
-DESCRIPTION="A powerful light-weight programming language designed for extending applications"
-HOMEPAGE="http://www.lua.org/"
-SRC_URI="http://www.lua.org/ftp/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~ppc-aix ~x64-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
-IUSE="+deprecated emacs readline static"
-
-RDEPEND="readline? ( sys-libs/readline )"
-DEPEND="${RDEPEND}
- sys-devel/libtool"
-PDEPEND="emacs? ( app-emacs/lua-mode )"
-
-src_unpack() {
- local PATCH_PV=$(get_version_component_range 1-2)
- unpack ${A}
- cd "${S}"
-
- if [[ ${CHOST} == *-winnt* ]]; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-no-libtool.patch
- else
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-r1.patch
-
- # Using dynamic linked lua is not recommended upstream for performance
- # reasons. http://article.gmane.org/gmane.comp.lang.lua.general/18519
- # Mainly, this is of concern if your arch is poor with GPRs, like x86
- # Not that this only affects the interpreter binary (named lua), not the lua
- # compiler (built statically) nor the lua libraries (both shared and static
- # are installed)
- if use static ; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make_static-r1.patch
- fi
- fi
-
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-module_paths.patch
-
- # fix libtool and ld usage on OSX
- if [[ ${CHOST} == *-darwin* ]] ; then
- sed -i \
- -e 's/libtool/glibtool/g' \
- -e 's/-Wl,-E//g' \
- Makefile src/Makefile
- fi
-
- EPATCH_SOURCE="${FILESDIR}/${PV}" EPATCH_SUFFIX="upstream.patch" epatch
-
- # correct lua versioning
- sed -i -e 's/\(LIB_VERSION = \)6:1:1/\16:4:1/' src/Makefile
-
- sed -i -e 's:\(/README\)\("\):\1.gz\2:g' doc/readme.html
-
- if ! use deprecated ; then
- epatch "${FILESDIR}"/${P}-deprecated.patch
- epatch "${FILESDIR}"/${P}-test.patch
- fi
-
- if ! use readline ; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-readline.patch
- fi
-
- # We want packages to find our things...
- sed -i \
- -e "s:/usr/local:${EPREFIX}/usr:" \
- -e "s:/\<lib\>:/$(get_libdir):g" \
- etc/lua.pc
-}
-
-src_compile() {
- tc-export CC
- myflags=
- # what to link to liblua
- liblibs="-lm"
- if [[ $CHOST == *-darwin* ]]; then
- mycflags="${mycflags} -DLUA_USE_MACOSX"
- elif [[ ${CHOST} == *-winnt* ]]; then
- : # nothing for now...
- elif [[ ${CHOST} == *-interix* ]]; then
- : # nothing here too...
- else # building for standard linux (and bsd too)
- mycflags="${mycflags} -DLUA_USE_LINUX"
- fi
- liblibs="${liblibs} $(dlopen_lib)"
-
- # what to link to the executables
- mylibs=
- if use readline; then
- mylibs="-lreadline"
- fi
-
- cd src
- emake CC="${CC}" CFLAGS="${mycflags} ${CFLAGS}" \
- RPATH="${EROOT}/usr/$(get_libdir)/" \
- LUA_LIBS="${mylibs}" \
- LIB_LIBS="${liblibs}" \
- V=${PV} \
- gentoo_all || die "emake failed"
-
- mv lua_test ../test/lua.static
-}
-
-src_install() {
- emake INSTALL_TOP="${ED}/usr/" INSTALL_LIB="${ED}/usr/$(get_libdir)/" \
- V=${PV} gentoo_install \
- || die "emake install gentoo_install failed"
-
- dodoc HISTORY README
- dohtml doc/*.html doc/*.gif
-
- doicon etc/lua.ico
- insinto /usr/$(get_libdir)/pkgconfig
- doins etc/lua.pc
-
- doman doc/lua.1 doc/luac.1
-}
-
-src_test() {
- local positive="bisect cf echo env factorial fib fibfor hello printf sieve
- sort trace-calls trace-globals"
- local negative="readonly"
- local test
-
- cd "${S}"
- for test in ${positive}; do
- test/lua.static test/${test}.lua || die "test $test failed"
- done
-
- for test in ${negative}; do
- test/lua.static test/${test}.lua && die "test $test failed"
- done
-}
diff --git a/dev-lang/lua/lua-5.1.4-r8.ebuild b/dev-lang/lua/lua-5.1.4-r8.ebuild
index 2b410d0..20e21f1 100644
--- a/dev-lang/lua/lua-5.1.4-r8.ebuild
+++ b/dev-lang/lua/lua-5.1.4-r8.ebuild
@@ -23,30 +23,13 @@ PDEPEND="emacs? ( app-emacs/lua-mode )"
src_prepare() {
local PATCH_PV=$(get_version_component_range 1-2)
- if [[ ${CHOST} == *-winnt* ]]; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-no-libtool.patch
- else
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-r1.patch
-
- # Using dynamic linked lua is not recommended for performance
- # reasons. http://article.gmane.org/gmane.comp.lang.lua.general/18519
- # Mainly, this is of concern if your arch is poor with GPRs, like x86
- # Note that this only affects the interpreter binary (named lua), not the lua
- # compiler (built statically) nor the lua libraries (both shared and static
- # are installed)
- if use static ; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make_static-r1.patch
- fi
- fi
-
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-r1.patch
epatch "${FILESDIR}"/${PN}-${PATCH_PV}-module_paths.patch
- # fix libtool and ld usage on OSX
+ # use glibtool on Darwin (versus Apple libtool)
if [[ ${CHOST} == *-darwin* ]] ; then
- sed -i \
- -e 's/libtool/glibtool/g' \
- -e 's/-Wl,-E//g' \
- Makefile src/Makefile
+ sed -i -e '/LIBTOOL = /s:libtool:glibtool:' \
+ Makefile src/Makefile || die
fi
EPATCH_SOURCE="${FILESDIR}/${PV}" EPATCH_SUFFIX="upstream.patch" epatch
@@ -65,6 +48,16 @@ src_prepare() {
epatch "${FILESDIR}"/${PN}-${PATCH_PV}-readline.patch
fi
+ # Using dynamic linked lua is not recommended for performance
+ # reasons. http://article.gmane.org/gmane.comp.lang.lua.general/18519
+ # Mainly, this is of concern if your arch is poor with GPRs, like x86
+ # Note that this only affects the interpreter binary (named lua), not the lua
+ # compiler (built statically) nor the lua libraries (both shared and static
+ # are installed)
+ if use static ; then
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make_static-r1.patch
+ fi
+
# We want packages to find our things...
sed -i \
-e "s:/usr/local:${EPREFIX}/usr:" \
@@ -80,15 +73,6 @@ src_compile() {
myflags=
# what to link to liblua
liblibs="-lm"
- if [[ $CHOST == *-darwin* ]]; then
- mycflags="${mycflags} -DLUA_USE_MACOSX"
- elif [[ ${CHOST} == *-winnt* ]]; then
- : # nothing for now...
- elif [[ ${CHOST} == *-interix* ]]; then
- : # nothing here too...
- else # building for standard linux (and bsd too)
- mycflags="${mycflags} -DLUA_USE_LINUX"
- fi
liblibs="${liblibs} $(dlopen_lib)"
# what to link to the executables
@@ -98,7 +82,7 @@ src_compile() {
fi
cd src
- emake CC="${CC}" CFLAGS="${mycflags} ${CFLAGS}" \
+ emake CC="${CC}" CFLAGS="-DLUA_USE_LINUX ${CFLAGS}" \
RPATH="${EPREFIX}/usr/$(get_libdir)/" \
LUA_LIBS="${mylibs}" \
LIB_LIBS="${liblibs}" \
diff --git a/dev-lang/lua/lua-5.2.0-r1.ebuild b/dev-lang/lua/lua-5.2.0-r1.ebuild
deleted file mode 100644
index 3cadc2b..0000000
--- a/dev-lang/lua/lua-5.2.0-r1.ebuild
+++ /dev/null
@@ -1,128 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/lua/lua-5.2.0-r1.ebuild,v 1.2 2012/05/29 15:04:25 aballier Exp $
-
-EAPI=4
-
-inherit eutils autotools multilib portability toolchain-funcs versionator
-
-DESCRIPTION="A powerful light-weight programming language designed for extending applications"
-HOMEPAGE="http://www.lua.org/"
-SRC_URI="http://www.lua.org/ftp/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~ppc-aix ~x64-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
-IUSE="+deprecated emacs readline static"
-
-RDEPEND="readline? ( sys-libs/readline )"
-DEPEND="${RDEPEND}
- sys-devel/libtool"
-PDEPEND="emacs? ( app-emacs/lua-mode )"
-
-src_prepare() {
- local PATCH_PV=$(get_version_component_range 1-2)
-
- if [[ ${CHOST} == *-winnt* ]]; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-no-libtool.patch
- else
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make.patch
-
- # Using dynamic linked lua is not recommended for performance
- # reasons. http://article.gmane.org/gmane.comp.lang.lua.general/18519
- # Mainly, this is of concern if your arch is poor with GPRs, like x86
- # Note that this only affects the interpreter binary (named lua), not the lua
- # compiler (built statically) nor the lua libraries (both shared and static
- # are installed)
- if use static ; then
- sed -i -e 's:\(-export-dynamic\):-static \1:' src/Makefile
- fi
- fi
-
- # fix libtool and ld usage on OSX
- if [[ ${CHOST} == *-darwin* ]] ; then
- sed -i \
- -e 's/libtool/glibtool/g' \
- -e 's/-Wl,-E//g' \
- Makefile src/Makefile
- fi
-
- EPATCH_SOURCE="${FILESDIR}/${PV}" EPATCH_SUFFIX="upstream.patch" epatch
-
- sed -i \
- -e 's:\(LUA_ROOT\s*\).*:\1"/usr/":' \
- -e "s:\(LUA_CDIR\s*LUA_ROOT \"\)lib:\1$(get_libdir):" \
- src/luaconf.h \
- || die "failed patching luaconf.h"
-
- # correct lua versioning
- sed -i -e 's/\(LIB_VERSION = \)6:1:1/\17:0:2/' src/Makefile
-
- sed -i -e 's:\(/README\)\("\):\1.gz\2:g' doc/readme.html
-
- if ! use readline ; then
- sed -i -e '/#define LUA_USE_READLINE/d' src/luaconf.h
- fi
-
- # upstream does not use libtool, but we do (see bug #336167)
- cp "${FILESDIR}/configure.in" "${S}"
- eautoreconf
-}
-
-src_compile() {
- tc-export CC
-
- # what to link to liblua
- liblibs="-lm"
- if [[ $CHOST == *-darwin* ]]; then
- mycflags="${mycflags} -DLUA_USE_MACOSX"
- elif [[ ${CHOST} == *-winnt* ]]; then
- : # nothing for now...
- elif [[ ${CHOST} == *-interix* ]]; then
- : # nothing here too...
- else # building for standard linux (and bsd too)
- mycflags="${mycflags} -DLUA_USE_LINUX"
- fi
- liblibs="${liblibs} $(dlopen_lib)"
-
- # what to link to the executables
- mylibs=
- use readline && mylibs="-lreadline"
-
- cd src
-
- local legacy=""
- use deprecated && legacy="-DLUA_COMPAT_ALL"
-
- emake CC="${CC}" CFLAGS="-DLUA_USE_LINUX ${legacy} ${CFLAGS}" \
- SYSLDFLAGS="${LDFLAGS}" \
- RPATH="${EPREFIX}/usr/$(get_libdir)/" \
- LUA_LIBS="${mylibs}" \
- LIB_LIBS="${liblibs}" \
- V=${PV} \
- gentoo_all || die "emake failed"
-}
-
-src_install() {
- local PATCH_PV=$(get_version_component_range 1-2)
-
- emake INSTALL_TOP="${ED}/usr" INSTALL_LIB="${ED}/usr/$(get_libdir)" \
- V=${PV} gentoo_install \
- || die "emake install gentoo_install failed"
-
- dodoc README
- dohtml doc/*.html doc/*.png doc/*.css doc/*.gif
-
- doman doc/lua.1 doc/luac.1
-
- # We want packages to find our things...
- cp "${FILESDIR}/lua.pc" "${WORKDIR}"
- sed -i \
- -e "s:^V=.*:V= ${PATCH_PV}:" \
- -e "s:^R=.*:R= ${PV}:" \
- -e "s:/,lib,:/$(get_libdir):g" \
- "${WORKDIR}/lua.pc"
-
- insinto "/usr/$(get_libdir)/pkgconfig"
- doins "${WORKDIR}/lua.pc"
-}
diff --git a/dev-lang/lua/lua-5.2.1.ebuild b/dev-lang/lua/lua-5.2.3-r1.ebuild
similarity index 58%
rename from dev-lang/lua/lua-5.2.1.ebuild
rename to dev-lang/lua/lua-5.2.3-r1.ebuild
index 3d01ece..d01807c 100644
--- a/dev-lang/lua/lua-5.2.1.ebuild
+++ b/dev-lang/lua/lua-5.2.3-r1.ebuild
@@ -1,46 +1,52 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/lua/Attic/lua-5.2.1.ebuild,v 1.4 2014/07/04 21:21:21 mabi dead $
+# $Id$
-EAPI=4
+EAPI=5
-inherit eutils autotools multilib portability toolchain-funcs versionator
+inherit eutils autotools multilib multilib-minimal portability toolchain-funcs versionator
DESCRIPTION="A powerful light-weight programming language designed for extending applications"
HOMEPAGE="http://www.lua.org/"
SRC_URI="http://www.lua.org/ftp/${P}.tar.gz"
LICENSE="MIT"
-SLOT="0"
+SLOT="5.2"
KEYWORDS="~ppc-aix ~x64-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE="+deprecated emacs readline static"
-RDEPEND="readline? ( sys-libs/readline )"
+RDEPEND="readline? ( sys-libs/readline )
+ app-eselect/eselect-lua
+ !dev-lang/lua:0"
DEPEND="${RDEPEND}
sys-devel/libtool"
PDEPEND="emacs? ( app-emacs/lua-mode )"
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/lua${SLOT}/luaconf.h
+)
+
src_prepare() {
local PATCH_PV=$(get_version_component_range 1-2)
- epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make.patch
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-r1.patch
+
+ # use glibtool on Darwin (versus Apple libtool)
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed -i -e '/LIBTOOL = /s:/libtool:/glibtool:' \
+ Makefile src/Makefile || die
+ fi
[ -d "${FILESDIR}/${PV}" ] && \
EPATCH_SOURCE="${FILESDIR}/${PV}" EPATCH_SUFFIX="upstream.patch" epatch
- sed -i \
- -e 's:\(define LUA_ROOT\s*\).*:\1"'${EPREFIX}'/usr/":' \
- -e "s:\(define LUA_CDIR\s*LUA_ROOT \"\)lib:\1$(get_libdir):" \
- src/luaconf.h \
- || die "failed patching luaconf.h"
-
# correct lua versioning
- sed -i -e 's/\(LIB_VERSION = \)6:1:1/\17:0:2/' src/Makefile
+ sed -i -e 's/\(LIB_VERSION = \)6:1:1/\10:0:0/' src/Makefile || die
- sed -i -e 's:\(/README\)\("\):\1.gz\2:g' doc/readme.html
+ sed -i -e 's:\(/README\)\("\):\1.gz\2:g' doc/readme.html || die
if ! use readline ; then
- sed -i -e '/#define LUA_USE_READLINE/d' src/luaconf.h
+ sed -i -e '/#define LUA_USE_READLINE/d' src/luaconf.h || die
fi
# Using dynamic linked lua is not recommended for performance
@@ -50,15 +56,28 @@ src_prepare() {
# compiler (built statically) nor the lua libraries (both shared and static
# are installed)
if use static ; then
- sed -i -e 's:\(-export-dynamic\):-static \1:' src/Makefile
+ sed -i -e 's:\(-export-dynamic\):-static \1:' src/Makefile || die
fi
# upstream does not use libtool, but we do (see bug #336167)
- cp "${FILESDIR}/configure.in" "${S}"
+ cp "${FILESDIR}/configure.in" "${S}"/ || die
eautoreconf
+
+ # custom Makefiles
+ multilib_copy_sources
}
-src_compile() {
+multilib_src_configure() {
+ sed -i \
+ -e 's:\(define LUA_ROOT\s*\).*:\1"'${EPREFIX}'/usr/":' \
+ -e "s:\(define LUA_CDIR\s*LUA_ROOT \"\)lib:\1$(get_libdir):" \
+ src/luaconf.h \
+ || die "failed patching luaconf.h"
+
+ econf
+}
+
+multilib_src_compile() {
tc-export CC
# what to link to liblua
@@ -71,29 +90,26 @@ src_compile() {
cd src
- local legacy=""
- use deprecated && legacy="-DLUA_COMPAT_ALL"
+ local myCFLAGS=""
+ use deprecated && myCFLAGS="-DLUA_COMPAT_ALL"
- emake CC="${CC}" CFLAGS="-DLUA_USE_LINUX ${legacy} ${CFLAGS}" \
+ case "${CHOST}" in
+ *-mingw*) : ;;
+ *) myCFLAGS+=" -DLUA_USE_LINUX" ;;
+ esac
+
+ emake CC="${CC}" CFLAGS="${myCFLAGS} ${CFLAGS}" \
SYSLDFLAGS="${LDFLAGS}" \
RPATH="${EPREFIX}/usr/$(get_libdir)/" \
LUA_LIBS="${mylibs}" \
LIB_LIBS="${liblibs}" \
- V=${PV} \
- gentoo_all || die "emake failed"
+ V=$(get_version_component_range 1-2) \
+ gentoo_all
}
-src_install() {
- local PATCH_PV=$(get_version_component_range 1-2)
-
+multilib_src_install() {
emake INSTALL_TOP="${ED}/usr" INSTALL_LIB="${ED}/usr/$(get_libdir)" \
- V=${PV} gentoo_install \
- || die "emake install gentoo_install failed"
-
- dodoc README
- dohtml doc/*.html doc/*.png doc/*.css doc/*.gif
-
- doman doc/lua.1 doc/luac.1
+ V=${SLOT} gentoo_install
# We want packages to find our things...
cp "${FILESDIR}/lua.pc" "${WORKDIR}"
@@ -104,5 +120,17 @@ src_install() {
"${WORKDIR}/lua.pc"
insinto "/usr/$(get_libdir)/pkgconfig"
- doins "${WORKDIR}/lua.pc"
+ newins "${WORKDIR}/lua.pc" "lua${SLOT}.pc"
}
+
+multilib_src_install_all() {
+ dodoc README
+ dohtml doc/*.html doc/*.png doc/*.css doc/*.gif
+
+ newman doc/lua.1 lua${SLOT}.1
+ newman doc/luac.1 luac${SLOT}.1
+}
+
+# Makefile contains a dummy target that doesn't do tests
+# but causes issues with slotted lua (bug #510360)
+src_test() { :; }
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/proj/prefix:master commit in: dev-lang/lua/files/, dev-lang/lua/
@ 2016-01-04 20:18 Fabian Groffen
0 siblings, 0 replies; 2+ messages in thread
From: Fabian Groffen @ 2016-01-04 20:18 UTC (permalink / raw
To: gentoo-commits
commit: 0c54a5770d360c92a934a4e6cafcd8acb71e807f
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 4 20:18:20 2016 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon Jan 4 20:18:20 2016 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=0c54a577
dev-lang/lua: sync versions from gx86
Package-Manager: portage-2.2.20-prefix
RepoMan-Options: --force
dev-lang/lua/Manifest | 1 +
dev-lang/lua/files/lua-5.1-make-r2.patch | 97 ++++++++++++++++++++++
dev-lang/lua/lua-5.1.5-r100.ebuild | 138 +++++++++++++++++++++++++++++++
dev-lang/lua/lua-5.1.5-r3.ebuild | 133 +++++++++++++++++++++++++++++
4 files changed, 369 insertions(+)
diff --git a/dev-lang/lua/Manifest b/dev-lang/lua/Manifest
index a1c8527..3404943 100644
--- a/dev-lang/lua/Manifest
+++ b/dev-lang/lua/Manifest
@@ -1,2 +1,3 @@
DIST lua-5.1.4.tar.gz 216679 SHA256 b038e225eaf2a5b57c9bcc35cd13aa8c6c8288ef493d52970c9545074098af3a SHA512 bc542fe8535826ac1e49b03a8f238cf049724b02c14718f8162cfeaf735a5e6c58412ff18dbe7a38e4cc4433f3d1e702554e9b24b5f021634b4280880980f40f WHIRLPOOL 2d8fdf77e31314eed68d8ace368a62a608a58114bea5c8797a2e2d327ca870dd4450ede494733d49c97bb447c97adf08610027df3206999a35fb49cde77448fd
+DIST lua-5.1.5.tar.gz 221213 SHA256 2640fc56a795f29d28ef15e13c34a47e223960b0240e8cb0a82d9b0738695333 SHA512 0142fefcbd13afcd9b201403592aa60620011cc8e8559d4d2db2f92739d18186860989f48caa45830ff4f99bfc7483287fd3ff3a16d4dec928e2767ce4d542a9 WHIRLPOOL 9dac93b73b9ad1ef6c69e0aa11fb53d5efe89274b65c55a1ac30bab23e8a255851b0e44306db54212b1d481e658cecd38e5ff22a25e1fa974858b7b03fb45b75
DIST lua-5.2.3.tar.gz 251195 SHA256 13c2fb97961381f7d06d5b5cea55b743c163800896fd5c5e2356201d3619002d SHA512 264bb7c8db2f190ef0ca38584ec81999ab588f54e03119c5214c40bb8925b0eb407fac483a03e40cc8a220f6748ddff7d3a7392da3803418276b0d263b866449 WHIRLPOOL d278a1e38416bcf7f82eb3e7fd5fb423e60ccb69e9d57a937070516ff8be2d19a98bbfdaf37ec6fd6fb3ef2d625900977ca0cb47e46cb0ede5ebd5d37a9454ef
diff --git a/dev-lang/lua/files/lua-5.1-make-r2.patch b/dev-lang/lua/files/lua-5.1-make-r2.patch
new file mode 100644
index 0000000..2905a62
--- /dev/null
+++ b/dev-lang/lua/files/lua-5.1-make-r2.patch
@@ -0,0 +1,97 @@
+diff -ru lua-5.1.5.orig/Makefile lua-5.1.5/Makefile
+--- lua-5.1.5.orig/Makefile 2014-04-15 17:43:34.845435031 +0200
++++ lua-5.1.5/Makefile 2014-04-15 19:05:08.669304987 +0200
+@@ -11,7 +11,7 @@
+ # so take care if INSTALL_TOP is not an absolute path.
+ INSTALL_TOP= /usr/local
+ INSTALL_BIN= $(INSTALL_TOP)/bin
+-INSTALL_INC= $(INSTALL_TOP)/include
++INSTALL_INC= $(INSTALL_TOP)/include/lua$V
+ INSTALL_LIB= $(INSTALL_TOP)/lib
+ INSTALL_MAN= $(INSTALL_TOP)/man/man1
+ #
+@@ -126,3 +126,21 @@
+ .PHONY: all $(PLATS) clean test install local none dummy echo pecho lecho
+
+ # (end of Makefile)
++
++# Use libtool for binary installs, etc.
++
++export V
++export LIBTOOL = libtool --quiet --tag=CC
++# See libtool manual about how to set this
++
++gentoo_clean:
++ cd src; $(MAKE) $@
++
++gentoo_test: gentoo_linux
++ test/lua.static test/hello.lua
++
++gentoo_install:
++ mkdir -p $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB)
++ cd src; $(LIBTOOL) --mode=install $(INSTALL_EXEC) lua$V luac$V $(INSTALL_BIN)
++ cd src; $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
++ cd src; $(LIBTOOL) --mode=install $(INSTALL_DATA) liblua$V.la $(INSTALL_LIB)
+diff -ru lua-5.1.5.orig/src/Makefile lua-5.1.5/src/Makefile
+--- lua-5.1.5.orig/src/Makefile 2014-04-15 17:43:34.844435031 +0200
++++ lua-5.1.5/src/Makefile 2014-04-15 18:07:21.427397122 +0200
+@@ -29,10 +29,10 @@
+ LIB_O= lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
+ lstrlib.o loadlib.o linit.o
+
+-LUA_T= lua
++LUA_T= lua$V
+ LUA_O= lua.o
+
+-LUAC_T= luac
++LUAC_T= luac$V
+ LUAC_O= luac.o print.o
+
+ ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
+@@ -51,10 +51,10 @@
+ $(AR) $@ $(CORE_O) $(LIB_O) # DLL needs all object files
+ $(RANLIB) $@
+
+-$(LUA_T): $(LUA_O) $(LUA_A)
++origin$(LUA_T): $(LUA_O) $(LUA_A)
+ $(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)
+
+-$(LUAC_T): $(LUAC_O) $(LUA_A)
++origin$(LUAC_T): $(LUAC_O) $(LUA_A)
+ $(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)
+
+ clean:
+@@ -180,3 +180,33 @@
+ ltm.h lzio.h lmem.h lopcodes.h lundump.h
+
+ # (end of Makefile)
++
++export LIBTOOL = libtool --tag=CC
++export LIB_VERSION = 5:1:5
++
++# The following rules use libtool for compiling and linking in order to
++# provide shared library support.
++
++LIB_NAME = liblua$V.la
++LIB_OBJS = $(CORE_O:.o=.lo) $(LIB_O:.o=.lo)
++
++%.lo %.o: %.c
++ $(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
++
++$(LIB_NAME): $(LIB_OBJS)
++ $(LIBTOOL) --mode=link $(CC) -version-info 0:0:0 \
++ -rpath $(RPATH) $(LDFLAGS) -o $(LIB_NAME) $(LIB_OBJS) $(LIB_LIBS)
++
++$(LUA_T): $(LUA_O:.o=.lo) $(LIB_NAME)
++ $(LIBTOOL) --mode=link $(CC) -export-dynamic $(LDFLAGS) -o $@ $(LUA_O:.o=.lo) $(LIB_NAME) $(LUA_LIBS)
++
++lua_test: $(LUA_O:.o=.lo) $(LIB_NAME)
++ $(LIBTOOL) --mode=link $(CC) -static -export-dynamic $(LDFLAGS) -o $@ $(LUA_O:.o=.lo) $(LIB_NAME) $(LUA_LIBS)
++
++$(LUAC_T): $(LUAC_O:.o=.lo) $(LIB_NAME)
++ $(LIBTOOL) --mode=link $(CC) -static $(LDFLAGS) -o $@ $(LUAC_O:.o=.lo) $(LIB_NAME)
++
++gentoo_clean:
++ $(LIBTOOL) --mode=clean $(RM) $(ALL_O:.o=.lo) $(LIB_NAME) lua$V luac$V
++
++gentoo_all: $(LIB_NAME) $(LUA_T) lua_test $(LUAC_T)
diff --git a/dev-lang/lua/lua-5.1.5-r100.ebuild b/dev-lang/lua/lua-5.1.5-r100.ebuild
new file mode 100644
index 0000000..5d38d4b
--- /dev/null
+++ b/dev-lang/lua/lua-5.1.5-r100.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib multilib-minimal portability toolchain-funcs versionator
+
+DESCRIPTION="A powerful light-weight programming language designed for extending applications"
+HOMEPAGE="http://www.lua.org/"
+SRC_URI="http://www.lua.org/ftp/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="5.1"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+IUSE="+deprecated emacs readline static"
+
+RDEPEND="readline? ( >=sys-libs/readline-6.2_p5-r1[${MULTILIB_USEDEP}] )
+ app-eselect/eselect-lua
+ !dev-lang/lua:0"
+DEPEND="${RDEPEND}
+ sys-devel/libtool"
+PDEPEND="emacs? ( app-emacs/lua-mode )"
+
+SAN_SLOT="${SLOT//.}"
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/lua${SLOT}/luaconf.h
+)
+
+src_prepare() {
+ local PATCH_PV=$(get_version_component_range 1-2)
+
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-r2.patch
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-module_paths.patch
+
+ # use glibtool on Darwin (versus Apple libtool)
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed -i -e '/LIBTOOL = /s:libtool:glibtool:' \
+ Makefile src/Makefile || die
+ fi
+
+ #EPATCH_SOURCE="${FILESDIR}/${PV}" EPATCH_SUFFIX="upstream.patch" epatch
+
+ # correct lua versioning
+ sed -i -e 's/\(LIB_VERSION = \)6:1:1/\16:5:1/' src/Makefile
+
+ sed -i -e 's:\(/README\)\("\):\1.gz\2:g' doc/readme.html
+
+ if ! use deprecated ; then
+ # patches from 5.1.4 still apply
+ epatch "${FILESDIR}"/${PN}-5.1.4-deprecated.patch
+ epatch "${FILESDIR}"/${PN}-5.1.4-test.patch
+ fi
+
+ if ! use readline ; then
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-readline.patch
+ fi
+
+ # Using dynamic linked lua is not recommended for performance
+ # reasons. http://article.gmane.org/gmane.comp.lang.lua.general/18519
+ # Mainly, this is of concern if your arch is poor with GPRs, like x86
+ # Note that this only affects the interpreter binary (named lua), not the lua
+ # compiler (built statically) nor the lua libraries (both shared and static
+ # are installed)
+ if use static ; then
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make_static-r1.patch
+ fi
+
+ # custom Makefiles
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ # We want packages to find our things...
+ sed -i \
+ -e 's:/usr/local:'${EPREFIX}'/usr:' \
+ -e "s:\([/\"]\)\<lib\>:\1$(get_libdir):g" \
+ etc/lua.pc src/luaconf.h || die
+}
+
+multilib_src_compile() {
+ tc-export CC
+ myflags=
+ # what to link to liblua
+ liblibs="-lm"
+ liblibs="${liblibs} $(dlopen_lib)"
+
+ # what to link to the executables
+ mylibs=
+ if use readline; then
+ mylibs="-lreadline"
+ fi
+
+ cd src
+ emake CC="${CC}" CFLAGS="-DLUA_USE_LINUX ${CFLAGS}" \
+ RPATH="${EPREFIX}/usr/$(get_libdir)/" \
+ LUA_LIBS="${mylibs}" \
+ LIB_LIBS="${liblibs}" \
+ V=$(get_version_component_range 1-2) \
+ gentoo_all
+
+ mv lua_test ../test/lua.static
+}
+
+multilib_src_install() {
+ emake INSTALL_TOP="${ED}/usr" INSTALL_LIB="${ED}/usr/$(get_libdir)" \
+ V=${SLOT} gentoo_install
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ newins etc/lua.pc lua${SLOT}.pc
+}
+
+multilib_src_install_all() {
+ dodoc HISTORY README
+ dohtml doc/*.html doc/*.png doc/*.css doc/*.gif
+
+ doicon etc/lua.ico
+
+ newman doc/lua.1 lua${SLOT}.1
+ newman doc/luac.1 luac${SLOT}.1
+}
+
+multilib_src_test() {
+ local positive="bisect cf echo env factorial fib fibfor hello printf sieve
+ sort trace-calls trace-globals"
+ local negative="readonly"
+ local test
+
+ cd "${BUILD_DIR}" || die
+ for test in ${positive}; do
+ test/lua.static test/${test}.lua || die "test $test failed"
+ done
+
+ for test in ${negative}; do
+ test/lua.static test/${test}.lua && die "test $test failed"
+ done
+}
diff --git a/dev-lang/lua/lua-5.1.5-r3.ebuild b/dev-lang/lua/lua-5.1.5-r3.ebuild
new file mode 100644
index 0000000..ba4ce44
--- /dev/null
+++ b/dev-lang/lua/lua-5.1.5-r3.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib multilib-minimal portability toolchain-funcs versionator
+
+DESCRIPTION="A powerful light-weight programming language designed for extending applications"
+HOMEPAGE="http://www.lua.org/"
+SRC_URI="http://www.lua.org/ftp/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~ppc-aix ~x64-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="+deprecated emacs readline static"
+
+RDEPEND="readline? ( >=sys-libs/readline-6.2_p5-r1[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ sys-devel/libtool"
+PDEPEND="emacs? ( app-emacs/lua-mode )"
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/luaconf.h
+)
+
+src_prepare() {
+ local PATCH_PV=$(get_version_component_range 1-2)
+
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make-r1.patch
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-module_paths.patch
+
+ # use glibtool on Darwin (versus Apple libtool)
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed -i -e '/LIBTOOL = /s:libtool:glibtool:' \
+ Makefile src/Makefile || die
+ fi
+
+ #EPATCH_SOURCE="${FILESDIR}/${PV}" EPATCH_SUFFIX="upstream.patch" epatch
+
+ # correct lua versioning
+ sed -i -e 's/\(LIB_VERSION = \)6:1:1/\16:5:1/' src/Makefile || die
+
+ sed -i -e 's:\(/README\)\("\):\1.gz\2:g' doc/readme.html || die
+
+ if ! use deprecated ; then
+ # patches from 5.1.4 still apply
+ epatch "${FILESDIR}"/${PN}-5.1.4-deprecated.patch
+ epatch "${FILESDIR}"/${PN}-5.1.4-test.patch
+ fi
+
+ if ! use readline ; then
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-readline.patch
+ fi
+
+ # Using dynamic linked lua is not recommended for performance
+ # reasons. http://article.gmane.org/gmane.comp.lang.lua.general/18519
+ # Mainly, this is of concern if your arch is poor with GPRs, like x86
+ # Note that this only affects the interpreter binary (named lua), not the lua
+ # compiler (built statically) nor the lua libraries (both shared and static
+ # are installed)
+ if use static ; then
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-make_static-r1.patch
+ fi
+
+ # custom Makefiles
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ # We want packages to find our things...
+ sed -i \
+ -e 's:/usr/local:'${EPREFIX}'/usr:' \
+ -e "s:\([/\"]\)\<lib\>:\1$(get_libdir):g" \
+ etc/lua.pc src/luaconf.h || die
+}
+
+multilib_src_compile() {
+ tc-export CC
+ myflags=
+ # what to link to liblua
+ liblibs="-lm"
+ liblibs="${liblibs} $(dlopen_lib)"
+
+ # what to link to the executables
+ mylibs=
+ if use readline; then
+ mylibs="-lreadline"
+ fi
+
+ cd src
+ emake CC="${CC}" CFLAGS="-DLUA_USE_LINUX ${CFLAGS}" \
+ RPATH="${EPREFIX}/usr/$(get_libdir)/" \
+ LUA_LIBS="${mylibs}" \
+ LIB_LIBS="${liblibs}" \
+ V=${PV} \
+ gentoo_all
+
+ mv lua_test ../test/lua.static
+}
+
+multilib_src_install() {
+ emake INSTALL_TOP="${ED}/usr" INSTALL_LIB="${ED}/usr/$(get_libdir)" \
+ V=${PV} gentoo_install
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins etc/lua.pc
+}
+
+multilib_src_install_all() {
+ dodoc HISTORY README
+ dohtml doc/*.html doc/*.png doc/*.css doc/*.gif
+
+ doicon etc/lua.ico
+
+ doman doc/lua.1 doc/luac.1
+}
+
+multilib_src_test() {
+ local positive="bisect cf echo env factorial fib fibfor hello printf sieve
+ sort trace-calls trace-globals"
+ local negative="readonly"
+ local test
+
+ cd "${BUILD_DIR}" || die
+ for test in ${positive}; do
+ test/lua.static test/${test}.lua || die "test $test failed"
+ done
+
+ for test in ${negative}; do
+ test/lua.static test/${test}.lua && die "test $test failed"
+ done
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2016-01-04 20:18 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-01-04 20:18 [gentoo-commits] repo/proj/prefix:master commit in: dev-lang/lua/files/, dev-lang/lua/ Fabian Groffen
-- strict thread matches above, loose matches on Subject: below --
2016-01-04 20:16 Fabian Groffen
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox